/* Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved. */

-- Create index on patient name.

create index patient_name_index on medical_image_table(
	extractValue(dicom.metadata, 
	'/DICOM_OBJECT/*[@name="Patient''s Name"]/VALUE', 
	'xmlns=http://xmlns.oracle.com/ord/dicom/metadata_1_0'));

create index modality_index on medical_image_table(
	extractValue(dicom.metadata, 
	'/DICOM_OBJECT/*[@name="Modality"]', 
	'xmlns=http://xmlns.oracle.com/ord/dicom/metadata_1_0'));